Bug 442749 - salinfo_decode_all-0.5 prints the usage message 4 times
salinfo_decode_all-0.5 prints the usage message 4 times
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: salinfo (Show other bugs)
4.6
ia64 Linux
medium Severity low
: rc
: ---
Assigned To: Prarit Bhargava
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 12:12 EDT by Milos Malik
Modified: 2008-12-02 08:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 08:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4 fix for this issue (786 bytes, patch)
2008-04-17 09:29 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Milos Malik 2008-04-16 12:12:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
When is the utility executed without parameters, it prints the same usage message 4 times.

Version-Release number of selected component (if applicable):
salinfo-0.5-1.13

How reproducible:
Always


Steps to Reproduce:
1. salinfo_decode_all-0.5
2. see the output

Actual Results:
It prints the usage message 4 times.

Expected Results:
It prints the usage message only once.

Additional info:
Comment 1 Milos Malik 2008-04-17 04:11:29 EDT
.qa.[root@ia64-4as-6-m1 tps]# /usr/sbin/salinfo_decode_all-0.5
/usr/sbin/salinfo_decode: option requires an argument -- D
Usage:
 salinfo_decode [-d] -t type -D directory
 salinfo_decode [-d] filename
  -d              Increment debug level
  -t type         Type of record to wait for (cmc, cpe, mca or init)
  -D directory    Directory to store the raw and decoded records
  filename        Decode a saved raw record, wthout involving SAL
/usr/sbin/salinfo_decode: option requires an argument -- D
Usage:
 salinfo_decode [-d] -t type -D directory
 salinfo_decode [-d] filename
  -d              Increment debug level
  -t type         Type of record to wait for (cmc, cpe, mca or init)
  -D directory    Directory to store the raw and decoded records
  filename        Decode a saved raw record, wthout involving SAL
/usr/sbin/salinfo_decode: option requires an argument -- D
Usage:
 salinfo_decode [-d] -t type -D directory
 salinfo_decode [-d] filename
  -d              Increment debug level
  -t type         Type of record to wait for (cmc, cpe, mca or init)
  -D directory    Directory to store the raw and decoded records
  filename        Decode a saved raw record, wthout involving SAL
/usr/sbin/salinfo_decode: option requires an argument -- D
Usage:
 salinfo_decode [-d] -t type -D directory
 salinfo_decode [-d] filename
  -d              Increment debug level
  -t type         Type of record to wait for (cmc, cpe, mca or init)
  -D directory    Directory to store the raw and decoded records
  filename        Decode a saved raw record, wthout involving SAL
.qa.[root@ia64-4as-6-m1 tps]# 
Comment 2 Milos Malik 2008-04-17 04:57:28 EDT
The salinfo_decode_all-0.5 utility expects a filename as first command line
parameter. Its usage message claims that "-d" parameter is supported, but the
reality is different.

.qa.[root@ia64-4as-6-m1 tps]# /usr/sbin/salinfo_decode_all-0.5 -d
-d/raw/.check: No such file or directory
-d/raw/.check: No such file or directory
-d/raw/.check: No such file or directory
-d/raw/.check: No such file or directory

When an unsupported command line parameter is used, the behavior is very similar.

.qa.[root@ia64-4as-6-m1 tps]# /usr/sbin/salinfo_decode_all-0.5 -h
-h/raw/.check: No such file or directory
-h/raw/.check: No such file or directory
-h/raw/.check: No such file or directory
-h/raw/.check: No such file or directory
Comment 3 Milos Malik 2008-04-17 05:24:20 EDT
I'm sorry I didn't realize that this utility is in fact a shell script.

1) The script should contain some parameter checking before it runs other commands.
2) The script should also start with something like:
#!/bin/sh
Comment 4 Prarit Bhargava 2008-04-17 09:29:49 EDT
Created attachment 302747 [details]
RHEL4 fix for this issue
Comment 5 RHEL Product and Program Management 2008-10-31 12:49:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 Prarit Bhargava 2008-12-02 08:03:12 EST
With RHEL4.8 as the next release and this being a low priority issue, I'm closing this as WONTFIX.

P.

Note You need to log in before you can comment on or make changes to this bug.